#ifndef TSI_FILTER_H
#define TSI_FILTER_H

#include "tsi_object.h"

#ifdef __cplusplus
extern "C" {
#endif

/* Filter APIs declaration --------------------------------------------------*/
void TSI_Filter_Init(TSI_SensorTypeDef *sensor);
void TSI_Filter_Bypass(TSI_SensorTypeDef *sensor);
void TSI_Filter_Update(TSI_SensorTypeDef *sensor);

void TSI_Filter_Avg4OrderInit(uint16_t *buffer, uint16_t initVal);
void TSI_Filter_Avg4OrderUpdate(uint16_t *buffer, uint16_t *input);

void TSI_Filter_Med3OrderInit(uint16_t *buffer, uint16_t initVal);
void TSI_Filter_Med3OrderUpdate(uint16_t *buffer, uint16_t *input);

void TSI_Filter_IIRInit(uint32_t *buffer, uint16_t initVal);
void TSI_Filter_IIRUpdate(uint32_t *buffer, uint8_t coef, uint16_t *input);

void TSI_Filter_FastSlowIIRInit(uint32_t *buffer, uint16_t *switchDebCnt, uint16_t initVal);
void TSI_Filter_FastSlowIIRUpdate(uint32_t *buffer, uint16_t *switchDebCnt, uint16_t *input);

void TSI_Filter_ADVIIRInit(uint32_t *buffer, uint16_t initVal);
void TSI_Filter_ADVIIRUpdate(uint32_t *buffer, uint16_t *input, uint8_t filterMode);

#ifdef __cplusplus
}
#endif

#endif  /* TSI_FILTER_H */
