#ifndef BDP_USER_H
#define BDP_USER_H

#include "bdp.h"
#include "tsi_object.h"

/* Definitions --------------------------------------------------------------*/
/** Number of values defined. */
#define BDP_VALUE_NUM                   (sizeof(BDP_TSIValueList) / sizeof(BDP_ValueTypeDef))

/** Number of memory areas defined. */
#define BDP_MEM_AREA_NUM                (sizeof(BDP_MemRegionList) / sizeof(BDP_MemRegionTypeDef))

/* Value mapping ------------------------------------------------------------*/
static const BDP_ValueTypeDef BDP_TSIValueList[] = {
    /* Button0 */
    { &(TSI_WidgetList.Button0.base.base.detConf.activeTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button0.base.base.detConf.activeHys), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button0.base.base.detConf.noiseTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button0.base.base.detConf.negNoiseTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button0.base.base.detConf.bslnIIRCoeff), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button0.base.base.detConf.onDebounce), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button0.base.base.detConf.offDebounce), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button0.base.base.detConf.bslnNegStopTimeout), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button0.base.base.status), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button0.base.sensitivity), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button0.base.idacStep), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button0.base.idacCompStep), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button0.base.resolution), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button0.base.swClkDiv), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button0.base.idacMod[0]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button0.base.idacMod[1]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button0.base.idacMod[2]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button0.buttonStat), BDP_VALUE_UINT8 },
    /* Button0_Sns0 */
    { &(TSI_SensorList.Button0[0].idac[0]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button0[0].idac[1]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button0[0].idac[2]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button0[0].rawCount[0]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button0[0].rawCount[1]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button0[0].rawCount[2]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button0[0].baseline[0]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button0[0].baseline[1]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button0[0].baseline[2]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button0[0].diffCount), BDP_VALUE_INT32 },
    { &(TSI_SensorList.Button0[0].status), BDP_VALUE_UINT8 },
    /* Button1 */
    { &(TSI_WidgetList.Button1.base.base.detConf.activeTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button1.base.base.detConf.activeHys), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button1.base.base.detConf.noiseTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button1.base.base.detConf.negNoiseTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button1.base.base.detConf.bslnIIRCoeff), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button1.base.base.detConf.onDebounce), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button1.base.base.detConf.offDebounce), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button1.base.base.detConf.bslnNegStopTimeout), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button1.base.base.status), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button1.base.sensitivity), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button1.base.idacStep), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button1.base.idacCompStep), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button1.base.resolution), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button1.base.swClkDiv), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button1.base.idacMod[0]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button1.base.idacMod[1]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button1.base.idacMod[2]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button1.buttonStat), BDP_VALUE_UINT8 },
    /* Button1_Sns0 */
    { &(TSI_SensorList.Button1[0].idac[0]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button1[0].idac[1]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button1[0].idac[2]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button1[0].rawCount[0]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button1[0].rawCount[1]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button1[0].rawCount[2]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button1[0].baseline[0]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button1[0].baseline[1]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button1[0].baseline[2]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button1[0].diffCount), BDP_VALUE_INT32 },
    { &(TSI_SensorList.Button1[0].status), BDP_VALUE_UINT8 },
    /* Button2 */
    { &(TSI_WidgetList.Button2.base.base.detConf.activeTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button2.base.base.detConf.activeHys), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button2.base.base.detConf.noiseTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button2.base.base.detConf.negNoiseTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button2.base.base.detConf.bslnIIRCoeff), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button2.base.base.detConf.onDebounce), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button2.base.base.detConf.offDebounce), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button2.base.base.detConf.bslnNegStopTimeout), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button2.base.base.status), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button2.base.sensitivity), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button2.base.idacStep), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button2.base.idacCompStep), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button2.base.resolution), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button2.base.swClkDiv), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button2.base.idacMod[0]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button2.base.idacMod[1]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button2.base.idacMod[2]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button2.buttonStat), BDP_VALUE_UINT8 },
    /* Button2_Sns0 */
    { &(TSI_SensorList.Button2[0].idac[0]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button2[0].idac[1]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button2[0].idac[2]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button2[0].rawCount[0]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button2[0].rawCount[1]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button2[0].rawCount[2]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button2[0].baseline[0]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button2[0].baseline[1]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button2[0].baseline[2]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button2[0].diffCount), BDP_VALUE_INT32 },
    { &(TSI_SensorList.Button2[0].status), BDP_VALUE_UINT8 },
    /* Button3 */
    { &(TSI_WidgetList.Button3.base.base.detConf.activeTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button3.base.base.detConf.activeHys), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button3.base.base.detConf.noiseTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button3.base.base.detConf.negNoiseTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button3.base.base.detConf.bslnIIRCoeff), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button3.base.base.detConf.onDebounce), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button3.base.base.detConf.offDebounce), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button3.base.base.detConf.bslnNegStopTimeout), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button3.base.base.status), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button3.base.sensitivity), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button3.base.idacStep), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button3.base.idacCompStep), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button3.base.resolution), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button3.base.swClkDiv), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button3.base.idacMod[0]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button3.base.idacMod[1]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button3.base.idacMod[2]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button3.buttonStat), BDP_VALUE_UINT8 },
    /* Button3_Sns0 */
    { &(TSI_SensorList.Button3[0].idac[0]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button3[0].idac[1]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button3[0].idac[2]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button3[0].rawCount[0]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button3[0].rawCount[1]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button3[0].rawCount[2]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button3[0].baseline[0]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button3[0].baseline[1]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button3[0].baseline[2]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button3[0].diffCount), BDP_VALUE_INT32 },
    { &(TSI_SensorList.Button3[0].status), BDP_VALUE_UINT8 },
    /* Button4 */
    { &(TSI_WidgetList.Button4.base.base.detConf.activeTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button4.base.base.detConf.activeHys), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button4.base.base.detConf.noiseTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button4.base.base.detConf.negNoiseTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button4.base.base.detConf.bslnIIRCoeff), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button4.base.base.detConf.onDebounce), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button4.base.base.detConf.offDebounce), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button4.base.base.detConf.bslnNegStopTimeout), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button4.base.base.status), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button4.base.sensitivity), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button4.base.idacStep), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button4.base.idacCompStep), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button4.base.resolution), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button4.base.swClkDiv), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button4.base.idacMod[0]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button4.base.idacMod[1]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button4.base.idacMod[2]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button4.buttonStat), BDP_VALUE_UINT8 },
    /* Button4_Sns0 */
    { &(TSI_SensorList.Button4[0].idac[0]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button4[0].idac[1]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button4[0].idac[2]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button4[0].rawCount[0]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button4[0].rawCount[1]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button4[0].rawCount[2]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button4[0].baseline[0]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button4[0].baseline[1]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button4[0].baseline[2]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button4[0].diffCount), BDP_VALUE_INT32 },
    { &(TSI_SensorList.Button4[0].status), BDP_VALUE_UINT8 },
    /* Button5 */
    { &(TSI_WidgetList.Button5.base.base.detConf.activeTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button5.base.base.detConf.activeHys), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button5.base.base.detConf.noiseTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button5.base.base.detConf.negNoiseTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button5.base.base.detConf.bslnIIRCoeff), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button5.base.base.detConf.onDebounce), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button5.base.base.detConf.offDebounce), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button5.base.base.detConf.bslnNegStopTimeout), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button5.base.base.status), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button5.base.sensitivity), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button5.base.idacStep), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button5.base.idacCompStep), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button5.base.resolution), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button5.base.swClkDiv), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button5.base.idacMod[0]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button5.base.idacMod[1]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button5.base.idacMod[2]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button5.buttonStat), BDP_VALUE_UINT8 },
    /* Button5_Sns0 */
    { &(TSI_SensorList.Button5[0].idac[0]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button5[0].idac[1]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button5[0].idac[2]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button5[0].rawCount[0]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button5[0].rawCount[1]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button5[0].rawCount[2]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button5[0].baseline[0]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button5[0].baseline[1]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button5[0].baseline[2]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button5[0].diffCount), BDP_VALUE_INT32 },
    { &(TSI_SensorList.Button5[0].status), BDP_VALUE_UINT8 },
    /* Button6 */
    { &(TSI_WidgetList.Button6.base.base.detConf.activeTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button6.base.base.detConf.activeHys), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button6.base.base.detConf.noiseTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button6.base.base.detConf.negNoiseTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button6.base.base.detConf.bslnIIRCoeff), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button6.base.base.detConf.onDebounce), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button6.base.base.detConf.offDebounce), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button6.base.base.detConf.bslnNegStopTimeout), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button6.base.base.status), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button6.base.sensitivity), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button6.base.idacStep), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button6.base.idacCompStep), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button6.base.resolution), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button6.base.swClkDiv), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button6.base.idacMod[0]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button6.base.idacMod[1]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button6.base.idacMod[2]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button6.buttonStat), BDP_VALUE_UINT8 },
    /* Button6_Sns0 */
    { &(TSI_SensorList.Button6[0].idac[0]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button6[0].idac[1]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button6[0].idac[2]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button6[0].rawCount[0]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button6[0].rawCount[1]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button6[0].rawCount[2]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button6[0].baseline[0]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button6[0].baseline[1]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button6[0].baseline[2]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button6[0].diffCount), BDP_VALUE_INT32 },
    { &(TSI_SensorList.Button6[0].status), BDP_VALUE_UINT8 },
    /* Button7 */
    { &(TSI_WidgetList.Button7.base.base.detConf.activeTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button7.base.base.detConf.activeHys), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button7.base.base.detConf.noiseTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button7.base.base.detConf.negNoiseTh), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button7.base.base.detConf.bslnIIRCoeff), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button7.base.base.detConf.onDebounce), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button7.base.base.detConf.offDebounce), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button7.base.base.detConf.bslnNegStopTimeout), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button7.base.base.status), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button7.base.sensitivity), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button7.base.idacStep), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button7.base.idacCompStep), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button7.base.resolution), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button7.base.swClkDiv), BDP_VALUE_UINT16 },
    { &(TSI_WidgetList.Button7.base.idacMod[0]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button7.base.idacMod[1]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button7.base.idacMod[2]), BDP_VALUE_UINT8 },
    { &(TSI_WidgetList.Button7.buttonStat), BDP_VALUE_UINT8 },
    /* Button7_Sns0 */
    { &(TSI_SensorList.Button7[0].idac[0]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button7[0].idac[1]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button7[0].idac[2]), BDP_VALUE_UINT8 },
    { &(TSI_SensorList.Button7[0].rawCount[0]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button7[0].rawCount[1]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button7[0].rawCount[2]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button7[0].baseline[0]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button7[0].baseline[1]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button7[0].baseline[2]), BDP_VALUE_UINT16 },
    { &(TSI_SensorList.Button7[0].diffCount), BDP_VALUE_INT32 },
    { &(TSI_SensorList.Button7[0].status), BDP_VALUE_UINT8 },
};

/* Memory operation area list -----------------------------------------------*/
static const BDP_MemRegionTypeDef BDP_MemRegionList[] = {
    {0x00000000, 0x60000, BDP_MEMORY_RO},
    {0x20000000, 0x8000, BDP_MEMORY_RW},
    {0x4001AC00, 0x108, BDP_MEMORY_RW},
    {0x4001B000, 0x100, BDP_MEMORY_RW},
    {0x4001B400, 0x30, BDP_MEMORY_RW},
    {0x4001C000, 0x1C, BDP_MEMORY_RW},
    {0x4001C400, 0x1C, BDP_MEMORY_RW},
    {0x4001C800, 0x1C, BDP_MEMORY_RW},
    {0x40002400, 0x88, BDP_MEMORY_RW},
    {0x40019C00, 0x4, BDP_MEMORY_RW},
    {0x40019C04, 0x4, BDP_MEMORY_RW},
    {0x40019C10, 0xC, BDP_MEMORY_RW},
    {0x40018000, 0x20, BDP_MEMORY_RW},
    {0x40012C00, 0x20, BDP_MEMORY_RW},
    {0x40000400, 0x314, BDP_MEMORY_RW},
    {0x40020000, 0x380, BDP_MEMORY_RW},
    {0x40020520, 0x98, BDP_MEMORY_RW},
    {0x400205B8, 0x4C, BDP_MEMORY_RW},
    {0x40020604, 0x130, BDP_MEMORY_RW},
    {0x40020740, 0x8, BDP_MEMORY_RW},
    {0x40020920, 0x260, BDP_MEMORY_RW},
    {0x40020D20, 0x260, BDP_MEMORY_RW},
    {0x40021120, 0x260, BDP_MEMORY_RW},
    {0x40021520, 0x260, BDP_MEMORY_RW},
    {0x40001000, 0xA0, BDP_MEMORY_RW},
    {0x40000E40, 0xE0, BDP_MEMORY_RW},
    {0x40000C00, 0x40, BDP_MEMORY_RW},
    {0x40000C40, 0x40, BDP_MEMORY_RW},
    {0x40000C80, 0x40, BDP_MEMORY_RW},
    {0x40000CC0, 0x40, BDP_MEMORY_RW},
    {0x40000D00, 0x40, BDP_MEMORY_RW},
    {0x40000D40, 0x40, BDP_MEMORY_RW},
    {0x40000D80, 0x40, BDP_MEMORY_RW},
    {0x40000DC0, 0x40, BDP_MEMORY_RW},
    {0x40015000, 0x24, BDP_MEMORY_RW},
    {0x40015400, 0x24, BDP_MEMORY_RW},
    {0x40016000, 0x8, BDP_MEMORY_RW},
    {0x40011400, 0x18, BDP_MEMORY_RW},
    {0x40013400, 0x28, BDP_MEMORY_RW},
    {0x40010400, 0x1C, BDP_MEMORY_RW},
    {0x40002000, 0x54, BDP_MEMORY_RW},
    {0x40000800, 0x30, BDP_MEMORY_RW},
    {0x4000FC00, 0x8, BDP_MEMORY_RW},
    {0x40002800, 0x24, BDP_MEMORY_RW},
    {0x40011000, 0x44, BDP_MEMORY_RW},
    {0x40000000, 0xC, BDP_MEMORY_RW},
    {0x40014800, 0x20, BDP_MEMORY_RW},
    {0x40014C00, 0x20, BDP_MEMORY_RW},
    {0x40002C00, 0x10, BDP_MEMORY_RW},
    {0x40019000, 0x28, BDP_MEMORY_RW},
    {0x40018C00, 0x28, BDP_MEMORY_RW},
    {0x40010800, 0x28, BDP_MEMORY_RW},
    {0x4001A800, 0x14, BDP_MEMORY_RW},
    {0x40013C00, 0x8, BDP_MEMORY_RW},
    {0x40013C10, 0xE0, BDP_MEMORY_RW},
    {0x40013CF0, 0xE0, BDP_MEMORY_RW},
    {0x40010000, 0x80, BDP_MEMORY_RW},
    {0x40011C00, 0x84, BDP_MEMORY_RW},
    {0x40012000, 0x84, BDP_MEMORY_RW},
    {0x40017400, 0x84, BDP_MEMORY_RW},
    {0x40017800, 0x84, BDP_MEMORY_RW},
    {0x4001A000, 0x84, BDP_MEMORY_RW},
    {0x4001A400, 0x84, BDP_MEMORY_RW},
    {0x4001B800, 0x84, BDP_MEMORY_RW},
    {0x4001BC00, 0x84, BDP_MEMORY_RW},
    {0x40017C00, 0x4, BDP_MEMORY_RW},
    {0x40011800, 0x18, BDP_MEMORY_RW},
};

#endif  /* BDP_USER_H */


