/* Private includes ---------------------------------------------------------*/
/* FL driver library include */
#include "fm33fh0xx_fl.h"

/* Library includes */
#include "tsi.h"

/* Library debug interface includes */
#include "bdp.h"
#include "bdp_mem_interface.h"

/* USER PRIVATE INCLUDES BEGIN */

/* USER PRIVATE INCLUDES END */

/* Private variables --------------------------------------------------------*/
/* USER PRIVATE VARIABLES BEGIN */

/* USER PRIVATE VARIABLES END */

/* Private function prototypes ----------------------------------------------*/
static void SystemClockInit(void);

/* USER PRIVATE FUNCTION PROTOTYPES BEGIN */

/* USER PRIVATE FUNCTION PROTOTYPES END */

/* Main ---------------------------------------------------------------------*/
int main(void)
{
    /* USER CODES AREA 1 BEGIN */

    /* USER CODES AREA 1 END */
    FL_GPIO_InitTypeDef demo_led_io = {0};
    /* Init system clock */
    SystemClockInit();

    /* Init FL driver library */
    FL_Init();
    
    /* USER CODES AREA 2 BEGIN */		
		 /* Digit LED */
    demo_led_io.pin        = FL_GPIO_PIN_9;
	  demo_led_io.mode       = FL_GPIO_MODE_OUTPUT;
		demo_led_io.driveStrength=FL_GPIO_DRIVESTRENGTH_X3;
    FL_GPIO_Init(GPIOD, &demo_led_io);
    FL_GPIO_SetOutputPin(GPIOD,FL_GPIO_PIN_9); 
    // TAU00
    CMU->PCLKCR4 |= (0x1 << 4);
    TAU0->T0CFGR = ((32 - 1) << 16);
    TAU0->T0ARR = (1000 - 1);
    TAU0->T0ISR = 0x1;
    TAU0->T0IER = 0x1;
		TAU->TAU0CR|=0x1;
    INTMUX->CR1 |= (0x3 << 0);
    NVIC_EnableIRQ(MUX0_IRQn);
    /* USER CODES AREA 2 END */

    /* Init TSI library */
    TSI_Init(&TSI_LibHandle);

    /* Init BladeDP protocol */
    BDP_Init(&BDP_MemItf, &BDP_Callback);
    BDP_Start();

    /* Feed watchdog */
    FL_IWDT_ReloadCounter(IWDT);

    /* USER CODES AREA 3 BEGIN */

    /* USER CODES AREA 3 END */

    /* Enable all widget and start scan */
    TSI_Widget_EnableAll(&TSI_LibHandle);
    TSI_Start(&TSI_LibHandle);
     // Enable timer
     TAU->TAU0CR= 0x1;
    while(1)
    {   
        /* USER CODES AREA 4 BEGIN */

        /* USER CODES AREA 4 END */

        /* Feed watchdog */
        FL_IWDT_ReloadCounter(IWDT);

        /* Handle library and debug operation */
        TSI_Handler(&TSI_LibHandle);
        BDP_Handler();

        /* USER CODES AREA 5 BEGIN */

        /* USER CODES AREA 5 END */
    }
}

/* Private functions --------------------------------------------------------*/
/**
 * @brief Init system clock.
 *
 */
void SystemClockInit(void)
{
    /* USER PRE SYSTEM CLOCK INIT BEGIN */

    /* USER PRE SYSTEM CLOCK INIT END */

    /* Enable RCHF 8MHz */
    FL_CMU_RCHF_WriteTrimValue(RCHF8M_TRIM);
    FL_CMU_RCHF_SetFrequency(FL_CMU_RCHF_FREQUENCY_8MHZ);

    /* Config PLL */
    FL_CMU_PLL_Disable();
    FL_CMU_PLL_SetClockSource(FL_CMU_PLL_CLK_SOURCE_RCHF);
    FL_CMU_PLL_SetPrescaler(FL_CMU_PLL_PSC_DIV8);
    FL_CMU_PLL_WriteMultiplier(32 - 1);
    FL_CMU_PLL_Enable();

    /* Wait for the PLL lock flag */
    uint32_t timeout = 0xFFFFFFFFUL;
    do
    {
        if(FL_CMU_IsActiveFlag_PLLReady() == 0x1U)
        {
            break;
        }

        /* Clear watchdog */
        FL_IWDT_ReloadCounter(IWDT);

    } while (--timeout > 0);

    /* Set flash read wait */
    FL_FLASH_SetCodeReadWait(FLASH, FL_FLASH_CODE_WAIT_1CYCLE);

    /* Set system clock source and bus prescaler */
    FL_CMU_SetAHBPrescaler(FL_CMU_AHBCLK_PSC_DIV1);
    FL_CMU_SetAPB1Prescaler(FL_CMU_APB1CLK_PSC_DIV1);
    FL_CMU_SetSystemClockSource(FL_CMU_SYSTEM_CLK_SOURCE_PLL);

    /* Update system core clock */
    SystemCoreClock = 32000000;

    /* USER SYSTEM CLOCK INIT BEGIN */

    /* USER SYSTEM CLOCK INIT END */
}

/* TSI interrupt handler */
void MUX19_IRQHandler(void)
{
    TSI_Dev_Handler(TSI_LibHandle.driver);
}
/* USER PRIVATE FUNCTION BEGIN */
void MUX0_IRQHandler(void)
{
    if(TAU0->T0ISR & 0x1)
    {
        TAU0->T0ISR = 0x1;
			  TSI_IncTick(&TSI_LibHandle,1);
    }
}
/* USER PRIVATE FUNCTION END */


